FROM node:22.9.0-slim

WORKDIR /opt/app

RUN apt-get update \
  && apt-get -y install make \
  && yarn set version 4.5.0

COPY ./Makefile ./
COPY ./package.json ./
COPY ./yarn.lock ./

RUN make install

COPY . .

ENTRYPOINT ["sleep"]
CMD ["infinity"]
